<ion-content class="main-content">
  <div class="section">

    <div class="section-header">
      <div class="section-image-wrapper"><img class="section-image" src="../assets/logo-dr-who-white.png" class="icon-logo" alt="Doctor Who logo"></div>
      <h5 class="section-title">PRODUCTOS</h5>
    </div>

    <div class="section-button-wrapper" slot="fixed">
          <div class="section-button">
            <ion-button type="submit" expand="block" (click) ="comprar()" color="warning">COMPRAR</ion-button>
          </div>
    </div>
    
    <div class="section-body">
        <ion-item class="product__item" *ngFor="let product of products;">
            <div style="flex-direction: column;" class="input-wrap">
              <div class="product-image-wrapper"><img class="product-image" src="https://cdn.shopify.com/s/files/1/2494/7004/products/DW034KRM_894e4d00-adb3-47d8-a714-5108604610aa_1024x1024.jpg?v=1543318829" alt="" srcset=""></div>
                <div class="product-body-wrapper">
                  <ion-label>
                    <h5 class="product-client-list-title">{{product.name}}</h5>
                  </ion-label>
                  <div class="product-client-list-info">
                    <p class="product-client-list-subtitle" slot="end">{{product.price}} €</p>
                    
                    <td>
                      <div class="form-row justify-content-center">
                        <div class="form-group mb-0">
                          <div class="input-group mx-auto mb-0">
                            <div class="number-input">
                              <button class="button1" onclick="this.parentNode.querySelector('input[type=number]').stepDown()"></button>
                              <input id="quantity-{{product.id}}" class="quantity bg-light" min="0" placeholder="0" name="quantity" value="0" type="number">
                              <button class="button2" onclick="this.parentNode.querySelector('input[type=number]').stepUp()"></button>
                            </div>
                          </div>
                        </div>
                      </div>
                    </td>

                  </div>
                </div>
              </div>
          </ion-item>

        </div>
        
    <div class="section-footer">
      <img class="section-footer-image" src="../../../assets/tardis.jpg" alt="" srcset="">
    </div>

  </div>
</ion-content>